| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::RoomListChannel Class Reference
Channel proxies

The RoomListChannel class represents a Telepathy Channel of type RoomList. More...

`#include <TelepathyQt/RoomListChannel>`

Inherits Tp::Channel.

List of all members.

## Public Member Functions

- virtual ~RoomListChannel ()

## Static Public Member Functions

- static RoomListChannelPtr create (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Protected Member Functions

- RoomListChannel (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties, const Feature &coreFeature=Channel::FeatureCore)

## Detailed Description

The RoomListChannel class represents a Telepathy Channel of type RoomList.

Note that this subclass of Channel will eventually provide a high-level API for the RoomList interface. Until then, it's just a Channel.

For more details, please refer to Telepathy specification.

See Asynchronous Object Model, Shared Pointer Usage

## Constructor & Destructor Documentation

Tp::RoomListChannel::~RoomListChannel | ( |  | ) | `[virtual]`

Class destructor.

Tp::RoomListChannel::RoomListChannel | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties,
|  | const Feature & | coreFeature = `Channel::FeatureCore`
| ) |  | `[protected]`

Construct a new RoomListChannel object.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.
  coreFeature | The core feature of the channel type, if any. The corresponding introspectable should should depend on Channel::FeatureCore.

## Member Function Documentation

RoomListChannelPtr Tp::RoomListChannel::create | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties
| ) |  | `[static]`

Create a new RoomListChannel object.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.

Returns:
  A RoomListChannelPtr object pointing to the newly created RoomListChannel object.

Reimplemented from Tp::Channel.